import type { BaseQueryFn, FetchBaseQueryError } from '@reduxjs/toolkit/query';
export type BaseQueryParams = {
    authentication?: {
        headerName: string;
        tokenType: string;
    };
    baseUrl: string;
};
export type BaseQueryFetchParams<Body> = {
    body?: Body;
    headers?: Record<string, string | number | boolean>;
    method?: string;
    params?: Record<string, any>;
    url: string;
};
export type BaseQueryWithRefreshParams = {
    authentication: {
        baseUrl: string;
        clientId: string;
        headerName: string;
        redirectLoginUri: string;
        tokenEndpoint: string;
        tokenType: string;
    };
    baseUrl: string;
};
export declare const baseQuery: ({ baseUrl, authentication, }: BaseQueryParams) => BaseQueryFn<BaseQueryFetchParams<any>, unknown, FetchBaseQueryError>;
export declare const baseQueryWithRefresh: ({ baseUrl, authentication, }: BaseQueryWithRefreshParams) => BaseQueryFn<BaseQueryFetchParams<any>, unknown, FetchBaseQueryError>;
